Skip to Content
homemade
Dashboard

List agent chats

GET
/api/vms/{vmId}/chat-sessions

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

vmId*string

Response Body

The VM's agent chats and the agents you can start.

application/json
  1. response
availability*string
Value in"available""unsupported""vm_stopped"
defaultModel*string|null
sessions*array<>
supported*boolean
Example Request
curl -X GET 'https://api.homemade.dev/api/vms/string/chat-sessions'
Example Response
{  "availability": "available",  "defaultModel": "string",  "sessions": [    {      "activeTurn": true,      "attachedClients": 0,      "createdAt": "2019-08-24T14:15:22Z",      "queuedTurns": 0,      "sessionId": "string",      "title": "string",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "supported": true}